Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157379 - network device not brought up after reboot
Summary: network device not brought up after reboot
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-11 02:01 UTC by Len Trigg
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 14:35:39 UTC


Attachments (Terms of Use)

Description Len Trigg 2005-05-11 02:01:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
After a reboot, my network interface was not brought up as it should have been.

graphical network configuration showed eth0 present but inactive.  Attempting to activate it led to an error message about the configuration for eth0 not being found.

My initial guess at the problem seems to be that the configuration now lives in:
/etc/sysconfig/networking/devices/ifcfg-eth0
rather than 
/etc/sysconfig/network-scripts/ifcfg-eth0

I modified network-functions need_config to look for the cfg file in this new location as a workaround.


Version-Release number of selected component (if applicable):
initscripts-7.93.7-1

How reproducible:
Always

Steps to Reproduce:
Have a system with working eth0 configuration,
Let system automatically move cfg location
Reboot.

Expected Results:  If the system is upgraded so that the config lives in a new location, all programs that expect to find that configuration file should look in the new location.


Additional info:

Comment 1 Bill Nottingham 2005-05-11 02:12:24 UTC
The config is supposed to live in /etc/sysconfig/network-scripts/ ; if it's not
there, that's a problem.

Did you set up profiles?

Comment 2 Len Trigg 2005-05-11 03:04:31 UTC
Nope, not to my knowledge, but there are some files under profiles:

[root@noir ~]# find /etc/sysconfig/networking -type f
/etc/sysconfig/networking/profiles/default/hosts
/etc/sysconfig/networking/profiles/default/resolv.conf
/etc/sysconfig/networking/profiles/default/network
/etc/sysconfig/networking/devices/ifcfg-eth0

(the profiles/default/network file is empty)

The Profile menu of the gui network configuration shows "Common"


Comment 3 Harald Hoyer 2005-05-11 10:16:33 UTC
Have you checked the checkboxes in the first column?

Comment 4 Harald Hoyer 2005-09-16 14:35:39 UTC
CANTFIX without more information, closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.